{% extends 'base.html.twig' %}

{%  block avanzu_page_title %}
    {{ lastRate.instrument.name | upper }}: {{ lastRate.bid }} \ {{ lastRate.ask }}
{%  endblock %}

{% block avanzu_page_content %}

    {#OPEN TRADES BEGIN#}

    {% for label, messages in app.flashes %}
        {% for message in messages %}
            <div class="alert alert-{{ label }}">
                {{ message }}
            </div>
        {% endfor %}
    {% endfor %}

    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Open trades</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table table-hover">

                        {#HEADER#}
                        <tr>
                            <th>ID</th>
                            <th>Side</th>
                            <th>TOpen</th>
                            <th>ROpen</th>
                            <th>Instrument</th>
                            <th>P/L</th>
                            <th>Units</th>
                            <th>Action</th>
                        </tr>

                        {#BEGIN ROW CONTENT#}

                        {% for thisTrade in openTrades %}
                            <tr>
                                <td>{{ thisTrade.id }}</td>
                                {% if thisTrade.account.side == 1 %}
                                    <td><span class="label label-success">long</span></td>
                                {% else %}
                                    <td><span class="label label-danger">short</span></td>
                                {% endif %}
                                <td>{{ thisTrade.timeOrderFill | date('m-d h:i:s') }}</td>
                                <td>{{ thisTrade.price }}</td>
                                <td>{{ thisTrade.instrument.name }}</td>
                                {% if thisTrade.unrealizedPl >= 0 %}
                                    <td><span class="label label-success">{{ thisTrade.unrealizedPl | round(2) }}</span></td>
                                {% else %}
                                    <td><span class="label label-danger">{{ thisTrade.unrealizedPl | round(2) }}</span></td>
                                {% endif %}
                                <td>{{ thisTrade.units | abs }}</td>
                                <td>
                                    <form method="post" target="_self">

                                        <input type="text" name="account" hidden value="{{ thisTrade.account.id }}"/>
                                        <input type="text" name="trade_id" hidden value="{{ thisTrade.oandaTradeId }}" />
                                        <input type="text" name="action" hidden value="close" />

                                        <button class="btn-xs btn-danger" type="submit" value="button">Close</button>
                                    </form>
                                </td>
                            </tr>
                        {% endfor %}

                        {#END ROW CONTENT#}

                    </table>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        </div>
    </div>

    {#OPEN TRADES END#}

    {#CLOSED TRADES BEGIN#}

    <div class="row">
        <div class="col-xs-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">Closed trades</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body table-responsive no-padding">
                    <table class="table table-hover">

                        {#HEADER#}
                        <tr>
                            <th>ID</th>
                            <th>Side</th>
                            <th>TOpen</th>
                            <th>TClose</th>
                            <th>ROpen</th>
                            <th>RClose</th>
                            <th>Instrument</th>
                            <th>P/L</th>
                            <th>Units</th>
                        </tr>

                        {#BEGIN ROW CONTENT#}
                        {% for thisTrade in closedTrades %}
                            <tr>
                                <td>{{ thisTrade.id }}</td>
                                {% if thisTrade.account.side == 1 %}
                                    <td><span class="label label-success">long</span></td>
                                {% else %}
                                    <td><span class="label label-danger">short</span></td>
                                {% endif %}
                                <td>{{ thisTrade.timeOrderFill | date('m-d h:i:s') }}</td>
                                <td>{{ thisTrade.timeTradeClose | date('m-d h:i:s') }}</td>
                                <td>{{ thisTrade.price }}</td>
                                <td>{{ thisTrade.lastPrice }}</td>
                                <td>{{ thisTrade.instrument.name }}</td>
                                {% if thisTrade.pl >= 0 %}
                                    <td><span class="label label-success">{{ thisTrade.pl | round(2) }}</span></td>
                                {% else %}
                                    <td><span class="label label-danger">{{ thisTrade.pl | round(2) }}</span></td>
                                {% endif %}
                                <td>{{ thisTrade.units | abs }}</td>
                            </tr>
                        {% endfor %}
                        {#END ROW CONTENT#}

                    </table>
                </div>
                <!-- /.box-body -->
            </div>
            <!-- /.box -->
        </div>
    </div>

    {#CLOSED TRADES END#}

{% endblock %}

{#{% block stylesheets %}#}
{#{% endblock %}#}
